#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "label.h"


void reset_labels()
{
  nb_labels = 0;
  top = -1;
}

char* new_label()
{
  char* result = (char*)malloc(10*sizeof(int));
  //WARNING: max label size = 10 characters

  nb_labels++; 
  int string_size = sprintf(result, "label_%d", nb_labels);

  if(string_size>10)
    {
      printf("label:new_label: too much labels\n");
      exit(1);
    }

  return result;
}

void push_label(char* label)
{
  top++;
  label_stack[top] = strdup(label);
}


char* pop_label()
{
  return label_stack[top--];
}


